## ssreflect 1.14.0

=== debian/changelog ===
ssreflect (1.14.0-7) unstable; urgency=medium

  * Better fix for Breaks+Replaces (Closes: #1005852).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 16 Feb 2022 22:19:18 +0100

ssreflect (1.14.0-6) unstable; urgency=medium

  * Fix Breaks+Replaces (Closes: #1005254).

 -- Julien Puydt <jpuydt@debian.org>  Thu, 10 Feb 2022 11:24:49 +0100

ssreflect (1.14.0-5) unstable; urgency=medium

  * Fix libcoq-mathcomp's doc-base.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 06 Feb 2022 18:14:01 +0100

ssreflect (1.14.0-4) unstable; urgency=medium

  * Split in binary packages following upstream.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 06 Feb 2022 13:49:34 +0100

ssreflect (1.14.0-3) unstable; urgency=medium

  * Depend on the coq library under its new name.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 06 Feb 2022 08:55:54 +0100

ssreflect (1.14.0-2) unstable; urgency=medium

  * Make the package auto-adapt to coq's layout.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 05 Feb 2022 09:55:07 +0100

ssreflect (1.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 24 Jan 2022 09:15:13 +0100
