=== debian/control ===
Source: ssreflect
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>,
           Julien Puydt <jpuydt@debian.org>,
           Ralf Treinen <treinen@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 coq (>= 8.11),
 lua5.1
Rules-Requires-Root: no
Standards-Version: 4.6.0
Section: math
Homepage: https://math-comp.github.io/math-comp/
Vcs-Browser: https://salsa.debian.org/ocaml-team/ssreflect
Vcs-Git: https://salsa.debian.org/ocaml-team/ssreflect.git

Package: libcoq-mathcomp-algebra
Architecture: all
Depends:
 libcoq-mathcomp-fingroup (= ${binary:Version}),
 ${misc:Depends}
Breaks: libssreflect-coq (<= ${binary:Version})
Replaces: libssreflect-coq
Description: Mathematical Components library for Coq (algebra)
 The Mathematical Components Library is an extensive and coherent
 repository of formalized mathematical theories. It is based on the
 Coq proof assistant, powered with the Coq/SSReflect language.
 .
 These formal theories cover a wide spectrum of topics, ranging from
 the formal theory of general-purpose data structures like lists,
 prime numbers or finite graphs, to advanced topics in algebra.
 .
 The formalization technique adopted in the library, called "small
 scale reflection", leverages the higher-order nature of Coq's
 underlying logic to provide effective automation for many small,
 clerical proof steps. This is often accomplished by restating
 ("reflecting") problems in a more concrete form, hence the name. For
 example, arithmetic comparison is not an abstract predicate, but
 rather a function computing a Boolean.
 .
 This package installs the algebra part of the library (ring, fields,
 ordered fields, real fields, modules, algebras, integers, rationals,
 polynomials, matrices, vector spaces...).

Package: libcoq-mathcomp-character
Architecture: all
Depends:
 libcoq-mathcomp-field (= ${binary:Version}),
 ${misc:Depends}
Breaks: libssreflect-coq (<= ${binary:Version})
Replaces: libssreflect-coq
Description: Mathematical Components library for Coq (character)
 The Mathematical Components Library is an extensive and coherent
 repository of formalized mathematical theories. It is based on the
 Coq proof assistant, powered with the Coq/SSReflect language.
 .
 These formal theories cover a wide spectrum of topics, ranging from
 the formal theory of general-purpose data structures like lists,
 prime numbers or finite graphs, to advanced topics in algebra.
 .
 The formalization technique adopted in the library, called "small
 scale reflection", leverages the higher-order nature of Coq's
 underlying logic to provide effective automation for many small,
 clerical proof steps. This is often accomplished by restating
 ("reflecting") problems in a more concrete form, hence the name. For
 example, arithmetic comparison is not an abstract predicate, but
 rather a function computing a Boolean.
 .
 This package installs the character theory part of the library
 (group representations, characters and class functions).

Package: libcoq-mathcomp-field
Architecture: all
Depends:
 libcoq-mathcomp-solvable (= ${binary:Version}),
 ${misc:Depends}
Breaks: libssreflect-coq (<= ${binary:Version})
Replaces: libssreflect-coq
Description: Mathematical Components library for Coq (field)
 The Mathematical Components Library is an extensive and coherent
 repository of formalized mathematical theories. It is based on the
 Coq proof assistant, powered with the Coq/SSReflect language.
 .
 These formal theories cover a wide spectrum of topics, ranging from
 the formal theory of general-purpose data structures like lists,
 prime numbers or finite graphs, to advanced topics in algebra.
 .
 The formalization technique adopted in the library, called "small
 scale reflection", leverages the higher-order nature of Coq's
 underlying logic to provide effective automation for many small,
 clerical proof steps. This is often accomplished by restating
 ("reflecting") problems in a more concrete form, hence the name. For
 example, arithmetic comparison is not an abstract predicate, but
 rather a function computing a Boolean.
 .
 This package installs the field theory part of the library
 (field extensions, Galois theory, algebraic numbers, cyclotomic
 polynomials).

Package: libcoq-mathcomp-fingroup
Architecture: all
Depends:
 libcoq-mathcomp-ssreflect (= ${binary:Version}),
 ${misc:Depends}
Breaks: libssreflect-coq (<= ${binary:Version})
Replaces: libssreflect-coq
Description: Mathematical Components library for Coq (finite groups)
 The Mathematical Components Library is an extensive and coherent
 repository of formalized mathematical theories. It is based on the
 Coq proof assistant, powered with the Coq/SSReflect language.
 .
 These formal theories cover a wide spectrum of topics, ranging from
 the formal theory of general-purpose data structures like lists,
 prime numbers or finite graphs, to advanced topics in algebra.
 .
 The formalization technique adopted in the library, called "small
 scale reflection", leverages the higher-order nature of Coq's
 underlying logic to provide effective automation for many small,
 clerical proof steps. This is often accomplished by restating
 ("reflecting") problems in a more concrete form, hence the name. For
 example, arithmetic comparison is not an abstract predicate, but
 rather a function computing a Boolean.
 .
 This package installs the finite groups theory part of the library
 (finite groups, group quotients, group morphisms, group presentation,
 group action...).

Package: libcoq-mathcomp-solvable
Architecture: all
Depends:
 libcoq-mathcomp-algebra (= ${binary:Version}),
 ${misc:Depends}
Breaks: libssreflect-coq (<= ${binary:Version})
Replaces: libssreflect-coq
Description: Mathematical Components library for Coq (finite groups II)
 The Mathematical Components Library is an extensive and coherent
 repository of formalized mathematical theories. It is based on the
 Coq proof assistant, powered with the Coq/SSReflect language.
 .
 These formal theories cover a wide spectrum of topics, ranging from
 the formal theory of general-purpose data structures like lists,
 prime numbers or finite graphs, to advanced topics in algebra.
 .
 The formalization technique adopted in the library, called "small
 scale reflection", leverages the higher-order nature of Coq's
 underlying logic to provide effective automation for many small,
 clerical proof steps. This is often accomplished by restating
 ("reflecting") problems in a more concrete form, hence the name. For
 example, arithmetic comparison is not an abstract predicate, but
 rather a function computing a Boolean.
 .
 This package installs the second finite groups theory part of the
 library (abelian groups, center, commutator, Jordan-Holder series,
 Sylow theorems...).

Package: libcoq-mathcomp-ssreflect
Architecture: all
Depends:
 libcoq-core-ocaml,
 coq-${F:CoqABI},
 ${misc:Depends}
Breaks: libssreflect-coq (<= ${binary:Version})
Replaces: libssreflect-coq
Description: Mathematical Components library for Coq (small scale reflection)
 The Mathematical Components Library is an extensive and coherent
 repository of formalized mathematical theories. It is based on the
 Coq proof assistant, powered with the Coq/SSReflect language.
 .
 These formal theories cover a wide spectrum of topics, ranging from
 the formal theory of general-purpose data structures like lists,
 prime numbers or finite graphs, to advanced topics in algebra.
 .
 The formalization technique adopted in the library, called "small
 scale reflection", leverages the higher-order nature of Coq's
 underlying logic to provide effective automation for many small,
 clerical proof steps. This is often accomplished by restating
 ("reflecting") problems in a more concrete form, hence the name. For
 example, arithmetic comparison is not an abstract predicate, but
 rather a function computing a Boolean.
 .
 This package installs the small scale reflection language extension
 and the minimal set of libraries to take advantage of it (sequences,
 booleans and boolean predicates, natural numbers and types with decidable
 equality, finite types, finite sets, finite functions, finite graphs,
 basic arithmetics and prime numbers, big operators...).

Package: libcoq-mathcomp
Architecture: all
Depends:
 libcoq-mathcomp-algebra (= ${binary:Version}),
 libcoq-mathcomp-character (= ${binary:Version}),
 libcoq-mathcomp-field (= ${binary:Version}),
 libcoq-mathcomp-fingroup (= ${binary:Version}),
 libcoq-mathcomp-solvable (= ${binary:Version}),
 libcoq-mathcomp-ssreflect (= ${binary:Version}),
 coq-${F:CoqABI},
 ${misc:Depends}
Breaks: libssreflect-coq (<= ${binary:Version})
Replaces: libssreflect-coq
Provides: ssreflect, libmathcomp-coq, libssreflect-coq
Description: Mathematical Components library for Coq (all)
 The Mathematical Components Library is an extensive and coherent
 repository of formalized mathematical theories. It is based on the
 Coq proof assistant, powered with the Coq/SSReflect language.
 .
 These formal theories cover a wide spectrum of topics, ranging from
 the formal theory of general-purpose data structures like lists,
 prime numbers or finite graphs, to advanced topics in algebra.
 .
 The formalization technique adopted in the library, called "small
 scale reflection", leverages the higher-order nature of Coq's
 underlying logic to provide effective automation for many small,
 clerical proof steps. This is often accomplished by restating
 ("reflecting") problems in a more concrete form, hence the name. For
 example, arithmetic comparison is not an abstract predicate, but
 rather a function computing a Boolean.
 .
 This package installs the full Mathematical Components library.
