## ssreflect 1.15.0

=== debian/changelog ===
ssreflect (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Rewrite the autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 05 Jul 2022 08:55:31 +0200

ssreflect (1.14.0-12) unstable; urgency=medium

  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jun 2022 14:00:32 +0200

ssreflect (1.14.0-11) unstable; urgency=medium

  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 01 Jun 2022 15:24:05 +0200

ssreflect (1.14.0-10) unstable; urgency=medium

  * Re-upload to fix ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 22 May 2022 19:20:43 +0200

ssreflect (1.14.0-9) unstable; urgency=medium

  * Changed all Architecture: to any.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 17 Apr 2022 13:54:05 +0200

ssreflect (1.14.0-8) unstable; urgency=medium

  * Change b-dep from obsolete lua5.1 to lua5.4.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 23 Mar 2022 16:44:59 +0100
