=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
            Julien Puydt <jpuydt@debian.org>,
            Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
- coq (>= 8.11),
- lua5.1
+ debhelper-compat (= 13), dh-coq,
+ coq (>= 8.11), libcoq-stdlib,
+ lua5.4
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: math
 Homepage: https://math-comp.github.io/math-comp/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ssreflect
 Vcs-Git: https://salsa.debian.org/ocaml-team/ssreflect.git
 
 Package: libcoq-mathcomp-algebra
-Architecture: all
+Architecture: any
 Depends:
  libcoq-mathcomp-fingroup (= ${binary:Version}),
- ${misc:Depends}
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Breaks: libssreflect-coq (<= ${binary:Version})
 Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (algebra)
@@ -44,10 +45,11 @@
  polynomials, matrices, vector spaces...).
 
 Package: libcoq-mathcomp-character
-Architecture: all
+Architecture: any
 Depends:
  libcoq-mathcomp-field (= ${binary:Version}),
- ${misc:Depends}
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Breaks: libssreflect-coq (<= ${binary:Version})
 Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (character)
@@ -71,10 +73,11 @@
  (group representations, characters and class functions).
 
 Package: libcoq-mathcomp-field
-Architecture: all
+Architecture: any
 Depends:
  libcoq-mathcomp-solvable (= ${binary:Version}),
- ${misc:Depends}
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Breaks: libssreflect-coq (<= ${binary:Version})
 Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (field)
@@ -99,10 +102,11 @@
  polynomials).
 
 Package: libcoq-mathcomp-fingroup
-Architecture: all
+Architecture: any
 Depends:
  libcoq-mathcomp-ssreflect (= ${binary:Version}),
- ${misc:Depends}
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Breaks: libssreflect-coq (<= ${binary:Version})
 Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (finite groups)
@@ -127,10 +131,11 @@
  group action...).
 
 Package: libcoq-mathcomp-solvable
-Architecture: all
+Architecture: any
 Depends:
  libcoq-mathcomp-algebra (= ${binary:Version}),
- ${misc:Depends}
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Breaks: libssreflect-coq (<= ${binary:Version})
 Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (finite groups II)
@@ -155,11 +160,11 @@
  Sylow theorems...).
 
 Package: libcoq-mathcomp-ssreflect
-Architecture: all
+Architecture: any
 Depends:
  libcoq-core-ocaml,
- coq-${F:CoqABI},
- ${misc:Depends}
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Breaks: libssreflect-coq (<= ${binary:Version})
 Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (small scale reflection)
@@ -186,7 +191,7 @@
  basic arithmetics and prime numbers, big operators...).
 
 Package: libcoq-mathcomp
-Architecture: all
+Architecture: any
 Depends:
  libcoq-mathcomp-algebra (= ${binary:Version}),
  libcoq-mathcomp-character (= ${binary:Version}),
@@ -194,7 +199,6 @@
  libcoq-mathcomp-fingroup (= ${binary:Version}),
  libcoq-mathcomp-solvable (= ${binary:Version}),
  libcoq-mathcomp-ssreflect (= ${binary:Version}),
- coq-${F:CoqABI},
  ${misc:Depends}
 Breaks: libssreflect-coq (<= ${binary:Version})
 Replaces: libssreflect-coq
