=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/coq/coqvars.mk

export COQTOP := $(COQ_STDLIB_DIR)
export COQLIB := $(COQ_STDLIB_DIR)
export COQBIN := /usr/bin/

%:
	dh $@ --with coq

override_dh_auto_build:
	$(MAKE) -C mathcomp all doc

override_dh_auto_install:
	$(MAKE) -C mathcomp install DSTROOT=$(CURDIR)/debian/tmp
	for pkg in algebra character field fingroup solvable ssreflect; do \
		find debian/tmp/usr/lib/ocaml/coq/user-contrib/mathcomp/$$pkg -regextype posix-awk \
		-regex '.*\.(v|vo|vos|glob)$$' \
		>> debian/libcoq-mathcomp-$$pkg.install ; \
	done
	find debian/tmp/usr/lib/ocaml/coq/user-contrib/mathcomp/all -regextype posix-awk \
	-regex '.*\.(v|vo|vos|glob)$$' \
	>> debian/libcoq-mathcomp.install ;
