## ssreflect 1.17.0

=== debian/changelog ===
ssreflect (1.17.0-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jul 2023 08:07:18 +0200

ssreflect (1.17.0-1) unstable; urgency=medium

  * Fix d/watch.
  * Bump standards-version to 4.6.2.
  * New upstream release.
  * Update lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 13 Jun 2023 22:14:07 +0200
