=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  coq (>= 8.11), libcoq-stdlib,
  lua5.4
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: math
 Homepage: https://math-comp.github.io/math-comp/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ssreflect
