## ssreflect 2.1.0

=== debian/changelog ===
ssreflect (2.1.0-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:52:55 +1100

ssreflect (2.1.0-1build3) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:16:33 +0000

ssreflect (2.1.0-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 12:56:30 +0100

ssreflect (2.1.0-1build1) noble; urgency=medium

  * Rebuild against latest coq-hierarchy-builder

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Jan 2024 16:09:48 -0500

ssreflect (2.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Julien Puydt ]
  * Fix d/rules clean target (Closes: #1047035).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 17:25:16 +0100
