=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ssreflect
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>,
            Julien Puydt <jpuydt@debian.org>,
            Ralf Treinen <treinen@debian.org>
 Build-Depends:
  debhelper-compat (= 13), dh-coq,
- coq (>= 8.11), libcoq-stdlib,
+ coq (>= 8.11), libcoq-hierarchy-builder, libcoq-stdlib,
  lua5.4
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
