=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,7 @@
 	find debian/tmp/usr/lib/ocaml/coq/user-contrib/mathcomp/all -regextype posix-awk \
 	-regex '.*\.(v|vo|vos|glob)$$' \
 	>> debian/libcoq-mathcomp.install ;	
+
+override_dh_auto_clean:
+	$(MAKE) -C mathcomp clean
+	rm -f mathcomp/Makefile.coq mathcomp/Makefile.coq.conf
