## ssreflect 2.3.0

=== debian/changelog ===
ssreflect (2.3.0-1build8) plucky; urgency=medium

  * No-change rebuild against new OCAML ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 19 Feb 2025 21:36:59 +0000

ssreflect (2.3.0-1build7) plucky; urgency=medium

  * No-change rebuild for coq ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2025 09:06:29 +0100

ssreflect (2.3.0-1build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 22:21:41 +0100

ssreflect (2.3.0-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 09:35:23 +0100

ssreflect (2.3.0-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2025 17:14:40 +0100

ssreflect (2.3.0-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jan 2025 18:26:43 +0100

ssreflect (2.3.0-1build2) plucky; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 25 Jan 2025 21:22:50 -0500

ssreflect (2.3.0-1build1) plucky; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 19 Dec 2024 22:20:18 -0500

ssreflect (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 18 Dec 2024 12:14:08 +0100
