=== all/Makefile ===
# -*- Makefile -*-

COQPROJECT=Make
COQMAKEOPTIONS=--no-print-directory

# --------------------------------------------------------------------
include ../Makefile.common
