=== boot/Makefile ===
# -*- Makefile -*-

# setting variables
COQPROJECT?=Make
COQMAKEOPTIONS=--no-print-directory

# Main Makefile
include ../Makefile.common
