=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: ssreflect
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>,
            Julien Puydt <jpuydt@debian.org>,
            Ralf Treinen <treinen@debian.org>
 Build-Depends:
  debhelper-compat (= 13), dh-coq,
- coq (>= 8.11), libcoq-hierarchy-builder, libcoq-stdlib,
+ coq, libcoq-hierarchy-builder, libcoq-stdlib,
  lua5.4
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: math
 Homepage: https://math-comp.github.io/math-comp/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ssreflect
@@ -20,10 +19,9 @@
 Architecture: any
 Depends:
  libcoq-mathcomp-fingroup (= ${binary:Version}),
- ${misc:Depends}, ${coq:Depends}
-Provides: ${coq:Provides}
-Breaks: libssreflect-coq (<= ${binary:Version})
-Replaces: libssreflect-coq
+ libcoq-mathcomp-order (= ${binary:Version}),
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Description: Mathematical Components library for Coq (algebra)
  The Mathematical Components Library is an extensive and coherent
  repository of formalized mathematical theories. It is based on the
@@ -45,14 +43,39 @@
  ordered fields, real fields, modules, algebras, integers, rationals,
  polynomials, matrices, vector spaces...).
 
+Package: libcoq-mathcomp-boot
+Architecture: any
+Depends: ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
+Description: Mathematical Components library for Coq (boot)
+ The Mathematical Components Library is an extensive and coherent
+ repository of formalized mathematical theories. It is based on the
+ Coq proof assistant, powered with the Coq/SSReflect language.
+ .
+ These formal theories cover a wide spectrum of topics, ranging from
+ the formal theory of general-purpose data structures like lists,
+ prime numbers or finite graphs, to advanced topics in algebra.
+ .
+ The formalization technique adopted in the library, called "small
+ scale reflection", leverages the higher-order nature of Coq's
+ underlying logic to provide effective automation for many small,
+ clerical proof steps. This is often accomplished by restating
+ ("reflecting") problems in a more concrete form, hence the name. For
+ example, arithmetic comparison is not an abstract predicate, but
+ rather a function computing a Boolean.
+ .
+ This package includes the small scale reflection proof language, and
+ the minimal set of libraries to take advantage of it: lists, boolean
+ and boolean predicates, types with decidable equality, finite sets,
+ finite functions, finite graphs, basic arithmetics and prime numbers
+ and big operators.
+
 Package: libcoq-mathcomp-character
 Architecture: any
 Depends:
  libcoq-mathcomp-field (= ${binary:Version}),
  ${misc:Depends}, ${coq:Depends}
 Provides: ${coq:Provides}
-Breaks: libssreflect-coq (<= ${binary:Version})
-Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (character)
  The Mathematical Components Library is an extensive and coherent
  repository of formalized mathematical theories. It is based on the
@@ -79,8 +102,6 @@
  libcoq-mathcomp-solvable (= ${binary:Version}),
  ${misc:Depends}, ${coq:Depends}
 Provides: ${coq:Provides}
-Breaks: libssreflect-coq (<= ${binary:Version})
-Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (field)
  The Mathematical Components Library is an extensive and coherent
  repository of formalized mathematical theories. It is based on the
@@ -105,11 +126,9 @@
 Package: libcoq-mathcomp-fingroup
 Architecture: any
 Depends:
- libcoq-mathcomp-ssreflect (= ${binary:Version}),
- ${misc:Depends}, ${coq:Depends}
-Provides: ${coq:Provides}
-Breaks: libssreflect-coq (<= ${binary:Version})
-Replaces: libssreflect-coq
+ libcoq-mathcomp-boot (= ${binary:Version}),
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Description: Mathematical Components library for Coq (finite groups)
  The Mathematical Components Library is an extensive and coherent
  repository of formalized mathematical theories. It is based on the
@@ -131,14 +150,38 @@
  (finite groups, group quotients, group morphisms, group presentation,
  group action...).
 
+Package: libcoq-mathcomp-order
+Architecture: any
+Depends:
+ libcoq-mathcomp-boot (= ${binary:Version}),
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
+Description: Mathematical Components library for Coq (order)
+ The Mathematical Components Library is an extensive and coherent
+ repository of formalized mathematical theories. It is based on the
+ Coq proof assistant, powered with the Coq/SSReflect language.
+ .
+ These formal theories cover a wide spectrum of topics, ranging from
+ the formal theory of general-purpose data structures like lists,
+ prime numbers or finite graphs, to advanced topics in algebra.
+ .
+ The formalization technique adopted in the library, called "small
+ scale reflection", leverages the higher-order nature of Coq's
+ underlying logic to provide effective automation for many small,
+ clerical proof steps. This is often accomplished by restating
+ ("reflecting") problems in a more concrete form, hence the name. For
+ example, arithmetic comparison is not an abstract predicate, but
+ rather a function computing a Boolean.
+ .
+ This package installs the order theory: definitions and theorems
+ on partial orders, lattices, total orders, etc.
+
 Package: libcoq-mathcomp-solvable
 Architecture: any
 Depends:
  libcoq-mathcomp-algebra (= ${binary:Version}),
  ${misc:Depends}, ${coq:Depends}
 Provides: ${coq:Provides}
-Breaks: libssreflect-coq (<= ${binary:Version})
-Replaces: libssreflect-coq
 Description: Mathematical Components library for Coq (finite groups II)
  The Mathematical Components Library is an extensive and coherent
  repository of formalized mathematical theories. It is based on the
@@ -164,10 +207,10 @@
 Architecture: any
 Depends:
  libcoq-core-ocaml,
- ${misc:Depends}, ${coq:Depends}
-Provides: ${coq:Provides}
-Breaks: libssreflect-coq (<= ${binary:Version})
-Replaces: libssreflect-coq
+ libcoq-mathcomp-boot (= ${binary:Version}),
+ libcoq-mathcomp-order (= ${binary:Version}),
+ ${misc:Depends}, ${coq:Depends}
+Provides: ${coq:Provides}
 Description: Mathematical Components library for Coq (small scale reflection)
  The Mathematical Components Library is an extensive and coherent
  repository of formalized mathematical theories. It is based on the
@@ -185,11 +228,9 @@
  example, arithmetic comparison is not an abstract predicate, but
  rather a function computing a Boolean.
  .
- This package installs the small scale reflection language extension
- and the minimal set of libraries to take advantage of it (sequences,
- booleans and boolean predicates, natural numbers and types with decidable
- equality, finite types, finite sets, finite functions, finite graphs,
- basic arithmetics and prime numbers, big operators...).
+ You should install libcoq-mathcomp-boot and libcoq-mathcomp-order
+ then remove this package -- it is a compatibility package for
+ previous installations.
 
 Package: libcoq-mathcomp
 Architecture: any
@@ -200,10 +241,8 @@
  libcoq-mathcomp-fingroup (= ${binary:Version}),
  libcoq-mathcomp-solvable (= ${binary:Version}),
  libcoq-mathcomp-ssreflect (= ${binary:Version}),
+ mathcomp-doc,
  ${misc:Depends}
-Breaks: libssreflect-coq (<= ${binary:Version})
-Replaces: libssreflect-coq
-Provides: ssreflect, libmathcomp-coq, libssreflect-coq
 Description: Mathematical Components library for Coq (all)
  The Mathematical Components Library is an extensive and coherent
  repository of formalized mathematical theories. It is based on the
@@ -222,3 +261,9 @@
  rather a function computing a Boolean.
  .
  This package installs the full Mathematical Components library.
+
+Package: mathcomp-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
