=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/coq/coqvars.mk

export DEB_BUILD_OPTIONS += noautodbgsym

export COQTOP := $(COQ_STDLIB_DIR)
export ROCQLIB := $(COQ_STDLIB_DIR)
export COQBIN := /usr/bin/

PKGS = algebra boot character field fingroup order ssreflect solvable

%:
	dh $@ --with coq

override_dh_auto_build:
	$(MAKE) build
	$(MAKE) doc

override_dh_auto_install:
	$(MAKE) install DSTROOT=$(CURDIR)/debian/tmp
	for pkg in $(PKGS); do \
		find debian/tmp$(COQ_USERCONTRIB_DIR)/mathcomp/$$pkg -regextype posix-awk \
		-regex '.*\.(v|vo|vos|glob)$$' \
		>> debian/libcoq-mathcomp-$$pkg.install ; \
	done
	find debian/tmp$(COQ_USERCONTRIB_DIR)/mathcomp/all -regextype posix-awk \
	-regex '.*\.(v|vo|vos|glob)$$' \
	>> debian/libcoq-mathcomp.install ;

override_dh_auto_clean:
	$(MAKE) clean
	rm -f mathcomp/Makefile.coq mathcomp/Makefile.coq.conf
