=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom mathcomp ssreflect
Depends: @, coq
