=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(rc\d*)$/$1~$2/,dversionmangle=s/\+dfsg$// \
https://github.com/math-comp/math-comp/tags .*/mathcomp-([0-9.]*).tar\.gz
